import { Disposable } from "../../utils/disposable";
import { Commands } from "./commands";
export declare class Interpreters {
    private commands;
    private disposable;
    constructor(sessionDisposable: Disposable, commands: Commands);
    private run;
    /**
     * Run a JavaScript code snippet in a new shell.
     */
    javascript(code: string): Promise<string>;
    /**
     * Run a Python code snippet in a new shell.
     */
    python(code: string): Promise<string>;
}
